Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces
Enum PanelMenuMode

    java.lang.Object
      java.lang.Enum<PanelMenuMode>
          org.richfaces.PanelMenuMode

All Implemented Interfaces:
  Serializable, Comparable<PanelMenuMode>

    public enum PanelMenuMode

extends Enum<PanelMenuMode>

Since:
  Oct 19, 2010
Author:
  akolonitsky

Enum Constant Summary
`ajax`
`client`
`server`

Field Summary
`static PanelMenuMode` | `DEFAULT`

Method Summary
`static PanelMenuMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PanelMenuMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ajax

    public static final PanelMenuMode ajax

### server

    public static final PanelMenuMode server

### client

    public static final PanelMenuMode client

Field Detail

### DEFAULT

    public static final PanelMenuMode DEFAULT

Method Detail

### values

    public static PanelMenuMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PanelMenuMode c : PanelMenuMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PanelMenuMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.